Subject: Re: linux-next: Tree for Aug 27 (kunit)

From: shuah <[email-masked]>
Date: Tue, 27 Aug 2019 10:12:42 -0600

On 8/27/19 10:09 AM, Brendan Higgins wrote:
> On Tue, Aug 27, 2019 at 8:29 AM Randy Dunlap <[email-masked]> wrote:
>>
>> On 8/27/19 2:05 AM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20190826:
>>>
>>
>> on i386:
>> # CONFIG_PRINTK is not set
>>
>>
>> ../kunit/test.c: In function ‘kunit_vprintk_emit’:
>> ../kunit/test.c:21:9: error: implicit declaration of function ‘vprintk_emit’; did you mean ‘vprintk’? [-Werror=implicit-function-declaration]
>>    return vprintk_emit(0, level, NULL, 0, fmt, args);
>>           ^~~~~~~~~~~~
>>           vprintk
> 

Thanks Randy for catching this.

> Ooops, it never occurred to me to test the situation where I wouldn't
> be able to see test results :-)
> 
> It seems to me that the right thing to do here is to do what
> dev_printk and friends do and to ifdef this out if CONFIG_PRINTK is
> unavailable. Does that seem reasonable?
>  > Also, do you want me to resend my patches with the fix or do you want
> me to send a new patch with this fix? (Sorry for the newbie question.)
> 

Brendan,

I would like to apply the fix on top of the series. I don't want to
revert.

thanks,
-- Shuah